{
    "variants": {
        "minecraft:textures/entity/pig/pig.png%true": "normal_sprite:minecraft/pig/pig_saddle.png",
        "minecraft:textures/entity/pig/cold_pig.png%true": "normal_sprite:minecraft/pig/cold_pig_saddle.png",
        "minecraft:textures/entity/pig/temperate_pig.png%true": "normal_sprite:minecraft/pig/temperate_pig_saddle.png",
        "minecraft:textures/entity/pig/warm_pig.png%true": "normal_sprite:minecraft/pig/warm_pig_saddle.png",
        "minecraft:textures/entity/pig/pig.png%false": "normal_sprite:minecraft/pig/pig.png",
        "minecraft:textures/entity/pig/cold_pig.png%false": "normal_sprite:minecraft/pig/cold_pig.png",
        "minecraft:textures/entity/pig/temperage_pig.png%false": "normal_sprite:minecraft/pig/temperate_pig.png",
        "minecraft:textures/entity/pig/warm_pig.png%false": "normal_sprite:minecraft/pig/warm_pig.png",
        "default": "outlined_sprite:minecraft/pig/pig.png"
    }
}